diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.1.pl /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/about.php /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/about.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/about.php	2012-12-17 16:18:42.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/about.php	2013-01-24 14:50:28.000000000 -0600
***************
*** 33,38 ****
--- 33,46 ----
  	</a>
  </h2>
  
+ <div class="changelog point-releases">
+ 	<h3><?php echo _n( 'Maintenance and Security Release', 'Maintenance and Security Releases', 1 ); ?></h3>
+ 	<p><?php printf( _n( '<strong>Version %1$s</strong> addressed some security issues and fixed %2$s bug.',
+          '<strong>Version %1$s</strong> addressed some security issues and fixed %2$s bugs.', 37 ), '3.5.1', number_format_i18n( 37 ) ); ?>
+ 		<?php printf( __( 'For more information, see <a href="%s">the release notes</a>.' ), 'http://codex.wordpress.org/Version_3.5.1' ); ?>
+  	</p>
+ </div>
+ 
  <div class="changelog">
  	<h3><?php _e( 'New Media Manager' ); ?></h3>
  
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.1.pl /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/image-edit.php /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/includes/image-edit.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/image-edit.php	2012-12-17 16:18:41.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/includes/image-edit.php	2013-01-24 12:40:14.000000000 -0600
***************
*** 692,698 ****
  			$_sizes[ $size ] = array( 'width' => get_option("{$size}_size_w"), 'height' => get_option("{$size}_size_h"), 'crop' => $crop );
  		}
  
! 		$meta['sizes'] = $img->multi_resize( $_sizes );
  	}
  
  	unset( $img );
--- 692,698 ----
  			$_sizes[ $size ] = array( 'width' => get_option("{$size}_size_w"), 'height' => get_option("{$size}_size_h"), 'crop' => $crop );
  		}
  
! 		$meta['sizes'] = array_merge( $meta['sizes'], $img->multi_resize( $_sizes ) );
  	}
  
  	unset( $img );
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.1.pl /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/media.php /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/includes/media.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/media.php	2012-12-17 16:18:41.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/includes/media.php	2013-01-04 22:00:18.000000000 -0600
***************
*** 1417,1422 ****
--- 1417,1425 ----
  		$item .= '<input type="hidden" name="' . esc_attr( $hidden_field ) . '" value="' . esc_attr( $value ) . '" />' . "\n";
  	}
  
+ 	if ( $item )
+ 		$item = '<input type="hidden" name="attachments[' . $attachment_id . '][menu_order]" value="' . esc_attr( $post->menu_order ) . '" />' . $item;
+ 
  	return array(
  		'item'   => $item,
  		'meta'   => $media_meta,
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.1.pl /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/update-core.php /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/includes/update-core.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/update-core.php	2012-12-17 16:18:41.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/includes/update-core.php	2013-01-22 10:52:15.000000000 -0600
***************
*** 535,540 ****
--- 535,541 ----
  'wp-includes/js/jquery/ui/jquery.effects.pulsate.min.js',
  'wp-includes/js/jquery/ui/jquery.effects.transfer.min.js',
  'wp-includes/js/jquery/ui/jquery.effects.fold.min.js',
+ 'wp-admin/options-privacy.php',
  );
  
  /**
***************
*** 630,636 ****
  	}
  
  	// Import $wp_version, $required_php_version, and $required_mysql_version from the new version
! 	$versions_file = $wp_filesystem->wp_content_dir() . 'upgrade/version-current.php';
  	if ( ! $wp_filesystem->copy( $from . $distro . 'wp-includes/version.php', $versions_file ) ) {
  		 $wp_filesystem->delete( $from, true );
  		 return new WP_Error( 'copy_failed', __('Could not copy file.') );
--- 631,638 ----
  	}
  
  	// Import $wp_version, $required_php_version, and $required_mysql_version from the new version
! 	// $wp_filesystem->wp_content_dir() returned unslashed pre-2.8
! 	$versions_file = trailingslashit( $wp_filesystem->wp_content_dir() ) . 'upgrade/version-current.php';
  	if ( ! $wp_filesystem->copy( $from . $distro . 'wp-includes/version.php', $versions_file ) ) {
  		 $wp_filesystem->delete( $from, true );
  		 return new WP_Error( 'copy_failed', __('Could not copy file.') );
***************
*** 691,696 ****
--- 693,707 ----
  		}
  	}
  
+ 	// 3.5 -> 3.5+ - an empty twentytwelve directory was created upon upgrade to 3.5 for some users, preventing installation of Twenty Twelve.
+ 	if ( '3.5' == $old_wp_version ) {
+ 		if ( is_dir( WP_CONTENT_DIR . '/themes/twentytwelve' ) && ! file_exists( WP_CONTENT_DIR . '/themes/twentytwelve/style.css' )  ) {
+ 			// Bumping the introduced version to 3.5.1 for the affected users causes Twenty Twelve to be installed for the first time
+ 			if ( $wp_filesystem->delete( $wp_filesystem->wp_themes_dir() . 'twentytwelve/' ) )
+ 				$_new_bundled_files[ 'themes/twentytwelve/' ] = '3.5.1';
+ 		}
+ 	}
+ 
  	// Copy New bundled plugins & themes
  	// This gives us the ability to install new plugins & themes bundled with future versions of WordPress whilst avoiding the re-install upon upgrade issue.
  	// $development_build controls us overwriting bundled themes and plugins when a non-stable release is being updated
***************
*** 701,706 ****
--- 712,721 ----
  				$directory = ('/' == $file[ strlen($file)-1 ]);
  				list($type, $filename) = explode('/', $file, 2);
  
+ 				// Check to see if the bundled items exist before attempting to copy them
+ 				if ( ! $wp_filesystem->exists( $from . $distro . 'wp-content/' . $file ) )
+ 					continue;
+ 
  				if ( 'plugins' == $type )
  					$dest = $wp_filesystem->wp_plugins_dir();
  				elseif ( 'themes' == $type )
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.1.pl /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/js/post.js /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/js/post.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/js/post.js	2012-12-17 16:18:42.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/js/post.js	2013-01-22 12:07:38.000000000 -0600
***************
*** 165,173 ****
  
  		// tag cloud
  		$('a.tagcloud-link').click(function(){
! 			if ( ! $('.the-tagcloud').length )
! 				tagBox.get( $(this).attr('id') );
! 			$(this).siblings('.the-tagcloud').toggle();
  			return false;
  		});
  	}
--- 165,175 ----
  
  		// tag cloud
  		$('a.tagcloud-link').click(function(){
! 			tagBox.get( $(this).attr('id') );
! 			$(this).unbind().click(function(){
! 				$(this).siblings('.the-tagcloud').toggle();
! 				return false;
! 			});
  			return false;
  		});
  	}
***************
*** 685,691 ****
  	(function() {
  		var textarea = $('textarea#content'), offset = null, el;
  		// No point for touch devices
! 		if ( 'ontouchstart' in window )
  			return;
  
  		function dragging(e) {
--- 687,693 ----
  	(function() {
  		var textarea = $('textarea#content'), offset = null, el;
  		// No point for touch devices
! 		if ( !textarea.length || 'ontouchstart' in window )
  			return;
  
  		function dragging(e) {
***************
*** 694,707 ****
  		}
  
  		function endDrag(e) {
! 			var height = $('#wp-content-editor-container').height();
  
  			textarea.focus();
  			$(document).unbind('mousemove', dragging).unbind('mouseup', endDrag);
  
! 			height -= 33; // compensate for toolbars, padding...
  			// sanity check
! 			if ( height > 50 && height < 5000 && height != getUserSetting( 'ed_size' ) )
  				setUserSetting( 'ed_size', height );
  		}
  
--- 696,710 ----
  		}
  
  		function endDrag(e) {
! 			var height;
  
  			textarea.focus();
  			$(document).unbind('mousemove', dragging).unbind('mouseup', endDrag);
  
! 			height = parseInt( textarea.css('height'), 10 );
! 
  			// sanity check
! 			if ( height && height > 50 && height < 5000 )
  				setUserSetting( 'ed_size', height );
  		}
  
***************
*** 722,765 ****
  			if ( ed.id != 'content' || tinymce.isIOS5 )
  				return;
  
! 			// resize TinyMCE to match the textarea height when switching Text -> Visual
! 			ed.onLoadContent.add( function(ed, o) {
! 				var ifr_height, height = parseInt( $('#content').css('height'), 10 ),
  					tb_height = $('#content_tbl tr.mceFirst').height();
  
! 				if ( height && !isNaN(height) && tb_height ) {
! 					ifr_height = (height - tb_height) + 12; // compensate for padding in the textarea
! 					// sanity check
! 					if ( ifr_height > 50 && ifr_height < 5000 ) {
! 						$('#content_tbl').css('height', '' );
! 						$('#content_ifr').css('height', ifr_height + 'px' );
! 					}
  				}
  			});
  
  			// resize the textarea to match TinyMCE's height when switching Visual -> Text
  			ed.onSaveContent.add( function(ed, o) {
! 				var height = $('#content_tbl').height();
  
! 				if ( height && height > 83 && height < 5000 ) {
! 					height -= 33;
  
! 					$('#content').css( 'height', height + 'px' );
! 				}
  			});
  
  			// save on resizing TinyMCE
  			ed.onPostRender.add(function() {
  				$('#content_resize').on('mousedown.wp-mce-resize', function(e){
  					$(document).on('mouseup.wp-mce-resize', function(e){
! 						var height = $('#wp-content-editor-container').height();
  
! 						height -= 33;
  						// sanity check
! 						if ( height > 50 && height < 5000 && height != getUserSetting( 'ed_size' ) )
  							setUserSetting( 'ed_size', height );
- 
- 						$(document).off('mouseup.wp-mce-resize');
  					});
  				});
  			});
--- 725,791 ----
  			if ( ed.id != 'content' || tinymce.isIOS5 )
  				return;
  
! 			function getHeight() {
! 				var height, node = document.getElementById('content_ifr'),
! 					ifr_height = node ? parseInt( node.style.height, 10 ) : 0,
  					tb_height = $('#content_tbl tr.mceFirst').height();
  
! 				if ( !ifr_height || !tb_height )
! 					return false;
! 
! 				// total height including toolbar and statusbar
! 				height = ifr_height + tb_height + 21;
! 				// textarea height = total height - 33px toolbar
! 				height -= 33;
! 
! 				return height;
! 			}
! 
! 			// resize TinyMCE to match the textarea height when switching Text -> Visual
! 			ed.onLoadContent.add( function(ed, o) {
! 				var ifr_height, node = document.getElementById('content'),
! 					height = node ? parseInt( node.style.height, 10 ) : 0,
! 					tb_height = $('#content_tbl tr.mceFirst').height() || 33;
! 
! 				// height cannot be under 50 or over 5000
! 				if ( !height || height < 50 || height > 5000 )
! 					height = 360; // default height for the main editor
! 
! 				if ( getUserSetting( 'ed_size' ) > 5000  )
! 					setUserSetting( 'ed_size', 360 );
! 
! 				// compensate for padding and toolbars
! 				ifr_height = ( height - tb_height ) + 12;
! 
! 				// sanity check
! 				if ( ifr_height > 50 && ifr_height < 5000 ) {
! 					$('#content_tbl').css('height', '' );
! 					$('#content_ifr').css('height', ifr_height + 'px' );
  				}
  			});
  
  			// resize the textarea to match TinyMCE's height when switching Visual -> Text
  			ed.onSaveContent.add( function(ed, o) {
! 				var height = getHeight();
  
! 				if ( !height || height < 50 || height > 5000 )
! 					return;
  
! 				$('textarea#content').css( 'height', height + 'px' );
  			});
  
  			// save on resizing TinyMCE
  			ed.onPostRender.add(function() {
  				$('#content_resize').on('mousedown.wp-mce-resize', function(e){
  					$(document).on('mouseup.wp-mce-resize', function(e){
! 						var height;
  
! 						$(document).off('mouseup.wp-mce-resize');
! 
! 						height = getHeight();
  						// sanity check
! 						if ( height && height > 50 && height < 5000 )
  							setUserSetting( 'ed_size', height );
  					});
  				});
  			});
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.1.pl /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/network.php /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/network.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/network.php	2012-12-17 16:18:42.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/network.php	2013-01-10 02:10:14.000000000 -0600
***************
*** 312,322 ****
  	$hostname          = get_clean_basedomain();
  	$slashed_home      = trailingslashit( get_option( 'home' ) );
  	$base              = parse_url( $slashed_home, PHP_URL_PATH );
! 	$wp_dir_from_root  = preg_replace( '#^' . preg_quote( $_SERVER['DOCUMENT_ROOT'], '#' ) . '#', '', ABSPATH );
! 	$wp_siteurl_subdir = trailingslashit( '/' . preg_replace( '#^' . preg_quote( $base, '#' ) . '#', '', $wp_dir_from_root ) );
  	$rewrite_base      = ! empty( $wp_siteurl_subdir ) ? ltrim( trailingslashit( $wp_siteurl_subdir ), '/' ) : '';
  
- 	$home_path         = get_home_path();
  
  	$location_of_wp_config = ABSPATH;
  	if ( ! file_exists( ABSPATH . 'wp-config.php' ) && file_exists( dirname( ABSPATH ) . '/wp-config.php' ) )
--- 312,323 ----
  	$hostname          = get_clean_basedomain();
  	$slashed_home      = trailingslashit( get_option( 'home' ) );
  	$base              = parse_url( $slashed_home, PHP_URL_PATH );
! 	$document_root_fix = str_replace( '\\', '/', realpath( $_SERVER['DOCUMENT_ROOT'] ) );
! 	$abspath_fix       = str_replace( '\\', '/', ABSPATH );
! 	$home_path         = 0 === strpos( $abspath_fix, $document_root_fix ) ? $document_root_fix . $base : str_replace( '\\', '/', get_home_path() );
! 	$wp_siteurl_subdir = preg_replace( '#^' . preg_quote( $home_path, '#' ) . '#', '', $abspath_fix );
  	$rewrite_base      = ! empty( $wp_siteurl_subdir ) ? ltrim( trailingslashit( $wp_siteurl_subdir ), '/' ) : '';
  
  
  	$location_of_wp_config = ABSPATH;
  	if ( ! file_exists( ABSPATH . 'wp-config.php' ) && file_exists( dirname( ABSPATH ) . '/wp-config.php' ) )
***************
*** 411,418 ****
  		$iis_rewrite_base = ltrim( $base, '/' ) . $rewrite_base;
  		$iis_subdir_replacement = $subdomain_install ? '' : '{R:1}';
  
! 		$web_config_file = <<<EOF
! <?xml version="1.0" encoding="UTF-8"?>
  <configuration>
      <system.webServer>
          <rewrite>
--- 412,418 ----
  		$iis_rewrite_base = ltrim( $base, '/' ) . $rewrite_base;
  		$iis_subdir_replacement = $subdomain_install ? '' : '{R:1}';
  
! 		$web_config_file = '<?xml version="1.0" encoding="UTF-8"?>
  <configuration>
      <system.webServer>
          <rewrite>
***************
*** 424,437 ****
  				if ( is_multisite() && get_site_option( 'ms_files_rewriting' ) ) {
  					$web_config_file .= '
                  <rule name="WordPress Rule for Files" stopProcessing="true">
!                     <match url="^{$iis_subdir_match}files/(.+)" ignoreCase="false" />
!                     <action type="Rewrite" url="{$iis_rewrite_base}wp-includes/ms-files.php?file={R:1}" appendQueryString="false" />
                  </rule>';
                  }
                  $web_config_file .= '
                  <rule name="WordPress Rule 2" stopProcessing="true">
!                     <match url="^{$iis_subdir_match}wp-admin$" ignoreCase="false" />
!                     <action type="Redirect" url="{$iis_subdir_replacement}wp-admin/" redirectType="Permanent" />
                  </rule>
                  <rule name="WordPress Rule 3" stopProcessing="true">
                      <match url="^" ignoreCase="false" />
--- 424,437 ----
  				if ( is_multisite() && get_site_option( 'ms_files_rewriting' ) ) {
  					$web_config_file .= '
                  <rule name="WordPress Rule for Files" stopProcessing="true">
!                     <match url="^' . $iis_subdir_match . 'files/(.+)" ignoreCase="false" />
!                     <action type="Rewrite" url="' . $iis_rewrite_base . 'wp-includes/ms-files.php?file={R:1}" appendQueryString="false" />
                  </rule>';
                  }
                  $web_config_file .= '
                  <rule name="WordPress Rule 2" stopProcessing="true">
!                     <match url="^' . $iis_subdir_match . 'wp-admin$" ignoreCase="false" />
!                     <action type="Redirect" url="' . $iis_subdir_replacement . 'wp-admin/" redirectType="Permanent" />
                  </rule>
                  <rule name="WordPress Rule 3" stopProcessing="true">
                      <match url="^" ignoreCase="false" />
***************
*** 442,453 ****
                      <action type="None" />
                  </rule>
                  <rule name="WordPress Rule 4" stopProcessing="true">
!                     <match url="^{$iis_subdir_match}(wp-(content|admin|includes).*)" ignoreCase="false" />
!                     <action type="Rewrite" url="{$iis_rewrite_base}{R:1}" />
                  </rule>
                  <rule name="WordPress Rule 5" stopProcessing="true">
!                     <match url="^{$iis_subdir_match}([_0-9a-zA-Z-]+/)?(.*\.php)$" ignoreCase="false" />
!                     <action type="Rewrite" url="{$iis_rewrite_base}{R:2}" />
                  </rule>
                  <rule name="WordPress Rule 6" stopProcessing="true">
                      <match url="." ignoreCase="false" />
--- 442,453 ----
                      <action type="None" />
                  </rule>
                  <rule name="WordPress Rule 4" stopProcessing="true">
!                     <match url="^' . $iis_subdir_match . '(wp-(content|admin|includes).*)" ignoreCase="false" />
!                     <action type="Rewrite" url="' . $iis_rewrite_base . '{R:1}" />
                  </rule>
                  <rule name="WordPress Rule 5" stopProcessing="true">
!                     <match url="^' . $iis_subdir_match . '([_0-9a-zA-Z-]+/)?(.*\.php)$" ignoreCase="false" />
!                     <action type="Rewrite" url="' . $iis_rewrite_base . '{R:2}" />
                  </rule>
                  <rule name="WordPress Rule 6" stopProcessing="true">
                      <match url="." ignoreCase="false" />
***************
*** 456,463 ****
              </rules>
          </rewrite>
      </system.webServer>
! </configuration>
! EOF;
  
  	?>
  		<li><p><?php printf( __( 'Add the following to your <code>web.config</code> file in <code>%s</code>, replacing other WordPress rules:' ), $home_path ); ?></p>
--- 456,462 ----
              </rules>
          </rewrite>
      </system.webServer>
! </configuration>';
  
  	?>
  		<li><p><?php printf( __( 'Add the following to your <code>web.config</code> file in <code>%s</code>, replacing other WordPress rules:' ), $home_path ); ?></p>
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.1.pl /home/packages/code/qi/SOURCES/wordpress-3.5/wp-content/plugins/akismet/admin.php /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-content/plugins/akismet/admin.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5/wp-content/plugins/akismet/admin.php	2012-12-17 16:18:44.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-content/plugins/akismet/admin.php	2012-12-12 12:10:47.000000000 -0600
***************
*** 23,29 ****
          $hook = get_plugin_page_hook( 'akismet-stats-display', 'index.php' );
      else
          $hook = 'dashboard_page_akismet-stats-display';
-     add_action('admin_head-'.$hook, 'akismet_stats_script');
      add_meta_box('akismet-status', __('Comment History'), 'akismet_comment_status_meta_box', 'comment', 'normal');
  }
  add_action('admin_init', 'akismet_admin_init');
--- 23,28 ----
***************
*** 56,62 ****
  
  function akismet_plugin_action_links( $links, $file ) {
  	if ( $file == plugin_basename( dirname(__FILE__).'/akismet.php' ) ) {
! 		$links[] = '<a href="admin.php?page=akismet-key-config">'.__('Settings').'</a>';
  	}
  
  	return $links;
--- 55,61 ----
  
  function akismet_plugin_action_links( $links, $file ) {
  	if ( $file == plugin_basename( dirname(__FILE__).'/akismet.php' ) ) {
! 		$links[] = '<a href="' . admin_url( 'admin.php?page=akismet-key-config' ) . '">'.__( 'Settings' ).'</a>';
  	}
  
  	return $links;
***************
*** 240,262 ****
  <?php
  }
  
- function akismet_stats_script() {
- 	?>
- <script type="text/javascript">
- function resizeIframe() {
-   
-     document.getElementById('akismet-stats-frame').style.height = "2500px";
-     
- };
- function resizeIframeInit() {
- 	document.getElementById('akismet-stats-frame').onload = resizeIframe;
- 	window.onresize = resizeIframe;
- }
- addLoadEvent(resizeIframeInit);
- </script><?php
- }
- 
- 
  function akismet_stats_display() {
  	global $akismet_api_host, $akismet_api_port, $wpcom_api_key;
  	$blog = urlencode( get_bloginfo('url') );
--- 239,244 ----
***************
*** 269,275 ****
  	$url .= "?blog={$blog}&api_key=" . akismet_get_key();
  	?>
  	<div class="wrap">
! 	<iframe src="<?php echo $url; ?>" width="100%" height="100%" frameborder="0" id="akismet-stats-frame"></iframe>
  	</div>
  	<?php
  }
--- 251,257 ----
  	$url .= "?blog={$blog}&api_key=" . akismet_get_key();
  	?>
  	<div class="wrap">
! 	<iframe src="<?php echo $url; ?>" width="100%" height="2500px" frameborder="0" id="akismet-stats-frame"></iframe>
  	</div>
  	<?php
  }
***************
*** 329,335 ****
  		function akismet_warning() {
  			global $wpdb;
  				akismet_fix_scheduled_recheck();
! 				$waiting = $wpdb->get_var( $wpdb->prepare( "SELECT COUNT(*) FROM $wpdb->commentmeta WHERE meta_key = 'akismet_error'" ) );
  				$next_check = wp_next_scheduled('akismet_schedule_cron_recheck');
  				if ( $waiting > 0 && $next_check > time() )
  					echo "
--- 311,317 ----
  		function akismet_warning() {
  			global $wpdb;
  				akismet_fix_scheduled_recheck();
! 				$waiting = $wpdb->get_var( "SELECT COUNT(*) FROM $wpdb->commentmeta WHERE meta_key = 'akismet_error'" );
  				$next_check = wp_next_scheduled('akismet_schedule_cron_recheck');
  				if ( $waiting > 0 && $next_check > time() )
  					echo "
***************
*** 741,747 ****
  
  		delete_comment_meta( $c['comment_ID'], 'akismet_rechecking' );
  	}
! 	wp_safe_redirect( $_SERVER['HTTP_REFERER'] );
  	exit;
  }
  
--- 723,730 ----
  
  		delete_comment_meta( $c['comment_ID'], 'akismet_rechecking' );
  	}
! 	$redirect_to = isset( $_SERVER['HTTP_REFERER'] ) ? $_SERVER['HTTP_REFERER'] : admin_url( 'edit-comments.php' );
! 	wp_safe_redirect( $redirect_to );
  	exit;
  }
  
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.1.pl /home/packages/code/qi/SOURCES/wordpress-3.5/wp-content/plugins/akismet/akismet.js /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-content/plugins/akismet/akismet.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5/wp-content/plugins/akismet/akismet.js	2012-12-17 16:18:44.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-content/plugins/akismet/akismet.js	2012-12-13 08:58:11.000000000 -0600
***************
*** 74,79 ****
--- 74,80 ----
   		return false;
   	});
   	jQuery('a[id^="author_comment_url"]').mouseover(function () {
+ 		var wpcomProtocol = ( 'https:' === location.protocol ) ? 'https://' : 'http://';
  		// Need to determine size of author column
  		var thisParentWidth = jQuery(this).parent().width();
  		// It changes based on if there is a gravatar present
***************
*** 83,94 ****
  			jQuery('.widefat td').css('overflow', 'visible');
  			jQuery(this).css('position', 'relative');
  			var thisHref = jQuery.URLEncode(jQuery(this).attr('href'));
! 			jQuery(this).append('<div class="mShot mshot-container" style="left: '+thisParentWidth+'"><div class="mshot-arrow"></div><img src="http://s.wordpress.com/mshots/v1/'+thisHref+'?w=450" width="450" class="mshot-image_'+thisId+'" style="margin: 0;" /></div>');
  			setTimeout(function () {
! 				jQuery('.mshot-image_'+thisId).attr('src', 'http://s.wordpress.com/mshots/v1/'+thisHref+'?w=450&r=2');
  			}, 6000);
  			setTimeout(function () {
! 				jQuery('.mshot-image_'+thisId).attr('src', 'http://s.wordpress.com/mshots/v1/'+thisHref+'?w=450&r=3');
  			}, 12000);
  		} else {
  			jQuery(this).find('.mShot').css('left', thisParentWidth).show();
--- 84,95 ----
  			jQuery('.widefat td').css('overflow', 'visible');
  			jQuery(this).css('position', 'relative');
  			var thisHref = jQuery.URLEncode(jQuery(this).attr('href'));
! 			jQuery(this).append('<div class="mShot mshot-container" style="left: '+thisParentWidth+'"><div class="mshot-arrow"></div><img src="'+wpcomProtocol+'s0.wordpress.com/mshots/v1/'+thisHref+'?w=450" width="450" class="mshot-image_'+thisId+'" style="margin: 0;" /></div>');
  			setTimeout(function () {
! 				jQuery('.mshot-image_'+thisId).attr('src', wpcomProtocol+'s0.wordpress.com/mshots/v1/'+thisHref+'?w=450&r=2');
  			}, 6000);
  			setTimeout(function () {
! 				jQuery('.mshot-image_'+thisId).attr('src', wpcomProtocol+'s0.wordpress.com/mshots/v1/'+thisHref+'?w=450&r=3');
  			}, 12000);
  		} else {
  			jQuery(this).find('.mShot').css('left', thisParentWidth).show();
***************
*** 106,112 ****
  });
  // Preload mshot images after everything else has loaded
  jQuery(window).load(function() {
  	jQuery('a[id^="author_comment_url"]').each(function () {
! 		jQuery.get('http://s.wordpress.com/mshots/v1/'+jQuery.URLEncode(jQuery(this).attr('href'))+'?w=450');
  	});
! });
\ No newline at end of file
--- 107,114 ----
  });
  // Preload mshot images after everything else has loaded
  jQuery(window).load(function() {
+ 	var wpcomProtocol = ( 'https:' === location.protocol ) ? 'https://' : 'http://';
  	jQuery('a[id^="author_comment_url"]').each(function () {
! 		jQuery.get(wpcomProtocol+'s0.wordpress.com/mshots/v1/'+jQuery.URLEncode(jQuery(this).attr('href'))+'?w=450');
  	});
! });
